#
# spec file for package dmg2img
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dmg2img
Version:        1.6.7
Release:        1.4
Summary:        An Apple's compressed dmg to standard (hfsplus) image disk file convert tool
License:        GPL-2.0-only
Group:          System/Filesystems
Url:            http://vu1tur.eu.org/tools
Source0:        http://vu1tur.eu.org/tools/dmg2img-%{version}.tar.gz
Patch0:         dmg2img-optflags.patch
# PATCH-FIX-UPSTREAM dmg2img-fix-openssl-1.1.patch -- vfdecrypt: OpenSSL 1.1 compatibility
Patch1:         dmg2img-fix-openssl-1.1.patch
BuildRequires:  libbz2-devel
BuildRequires:  libopenssl-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
DMG2IMG is a tool which allows converting Apple compressed dmg archives to
standard (hfsplus) image disk files.

This tool handles zlib and bzip2 compressed dmg images.

%prep
%setup -q -n dmg2img-%{version}
chmod 644 COPYING README
%patch0
%patch1 -p1

%build
make %{?_smp_mflags}

%install
install -D -p -m 0755 dmg2img     %{buildroot}%{_bindir}/dmg2img
install -D -p -m 0755 vfdecrypt   %{buildroot}%{_bindir}/vfdecrypt
install -D -p -m 0644 vfdecrypt.1 %{buildroot}%{_mandir}/man1/vfdecrypt.1

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/dmg2img
%{_bindir}/vfdecrypt
%{_mandir}/man1/vfdecrypt.1%{ext_man}

%changelog
* Thu Jun  7 2018 dliw@posteo.net
- Update to version 1.6.7
  * Version 1.6.7
    Fixed buffer underrun
    Avoid truncating .img file when run to list partition
  * Version 1.6.6
    Fixed a crash on invalid block signature
* Tue Jul  5 2016 mpluskal@suse.com
- Use url for source
- Small spec file cleanup
* Fri Aug  2 2013 joerg.lorenzen@ki.tng.de
- Update to version 1.6.5
  * Fixed a bug in handling some types of dmg files.
* Thu Oct  4 2012 joerg.lorenzen@ki.tng.de
- Initial package, version 1.6.4
